cdac.medinfo.model

## Class Performer

- java.lang.Object
- - cdac.medinfo.model.Performer

-     public class Performer
      extends java.lang.Object

  This class specify the Relevant care providers during the summarization period are represented.

  This class has the following attributes:

  1. id (List`<Identifiers>`)
  2. function Code (String)
  3. time (EffectiveDateTime)
  4. name (String)
  5. family (String)
  6. suffix (String)
  7. prefix (String)
  8. Organization (OrganizationInfo)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Performer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()` Returns the Family Name of Performer.
    `java.lang.String` | `getFunctionCode()` Returns the Function Code of Performer.
    `java.util.List<Identifiers>` | `getId()` Returns the List of ID of Assigned Entity.
    `java.lang.String` | `getName()` Returns the Name or Given Name of Performer.
    `OrganizationInfo` | `getOrganization()` Returns the Representation Organization of Performer.
    `java.lang.String` | `getPrefix()` Returns the Prefix of Performer.
    `java.lang.String` | `getSuffix()` Returns the Suffix of Performer.
    `EffectiveDateTime` | `getTime()` Returns the time during which the performer is involved in the activity.
    `void` | `setFamily(java.lang.String family)` Sets the Family Name of Performer.
    `void` | `setFunctionCode(java.lang.String functionCode)` Sets the Function Code of Performer.
    `void` | `setName(java.lang.String name)` Sets the Name or Given Name of Performer.
    `void` | `setObjOrganization(OrganizationInfo objOrganization)` Sets the Representation Organization of Performer.
    `void` | `setPrefix(java.lang.String prefix)` Sets the Prefix of Performer.
    `void` | `setSuffix(java.lang.String suffix)` Sets the Suffix of Performer.
    `void` | `setTime(EffectiveDateTime time)` Sets the time during which the performer is involved in the activity.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Performer

          public Performer()

  - ### Method Detail

    - #### getId

          public java.util.List<Identifiers> getId()

      Returns the List of ID of Assigned Entity.
      Returns:
        the id

    - #### getFunctionCode

          public java.lang.String getFunctionCode()

      Returns the Function Code of Performer.
      Returns:
        the functionCode

    - #### setFunctionCode

          public void setFunctionCode(java.lang.String functionCode)

      Sets the Function Code of Performer.
      Parameters:
        `functionCode` - Specifies addition detail about the function of the performer (e.g. scrub nurse, third assistant).

    - #### getTime

          public EffectiveDateTime getTime()

      Returns the time during which the performer is involved in the activity.
      Returns:
        the time

    - #### setTime

          public void setTime(EffectiveDateTime time)

      Sets the time during which the performer is involved in the activity.
      Parameters:
        `time` - Specifies the time during which the performer is involved in the activity.

    - #### getName

          public java.lang.String getName()

      Returns the Name or Given Name of Performer.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the Name or Given Name of Performer.
      Parameters:
        `name` - Specifies the Name or Given Name of Performer.

    - #### getFamily

          public java.lang.String getFamily()

      Returns the Family Name of Performer.
      Returns:
        the family

    - #### setFamily

          public void setFamily(java.lang.String family)

      Sets the Family Name of Performer.
      Parameters:
        `family` - Specifies the Family Name of Performer.

    - #### getSuffix

          public java.lang.String getSuffix()

      Returns the Suffix of Performer.
      Returns:
        the suffix

    - #### setSuffix

          public void setSuffix(java.lang.String suffix)

      Sets the Suffix of Performer.
      Parameters:
        `suffix` - Specifies the Suffix of Performer.

    - #### getPrefix

          public java.lang.String getPrefix()

      Returns the Prefix of Performer.
      Returns:
        the prefix

    - #### setPrefix

          public void setPrefix(java.lang.String prefix)

      Sets the Prefix of Performer.
      Parameters:
        `prefix` - Specifies the Prefix of Performer.

    - #### getOrganization

          public OrganizationInfo getOrganization()

      Returns the Representation Organization of Performer.
      Returns:
        the Organization

    - #### setObjOrganization

          public void setObjOrganization(OrganizationInfo objOrganization)

      Sets the Representation Organization of Performer.
      Parameters:
        `objOrganization` - Specifies the Representation Organization of Performer.